|
|||||||||
| Home >> All >> com >> caucho >> [ widget overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.caucho.widget
Class XulWidget

java.lang.ObjectAbstractWidgetContainer
com.caucho.widget.XulWidget
- Direct Known Subclasses:
- XulWidgetContainer
- public abstract class XulWidget
- extends AbstractWidgetContainer
| Field Summary | |
private StringProperty |
_cssClassProperty
|
private TransientProperty |
_transientProperty
|
| Constructor Summary | |
XulWidget()
|
|
| Method Summary | |
void |
add(Widget child)
|
java.lang.String |
getCssClass()
|
java.lang.String |
getCssClass(VarContext context)
|
void |
init(WidgetInit init)
|
protected boolean |
isContainer()
|
protected boolean |
isImmutable()
A Widget is immutable if it does not have an id, because it cannot store changes to it's properties as request parameters. |
boolean |
isTransient()
|
boolean |
isTransient(VarContext context)
|
void |
setCssClass(java.lang.String cssClass)
|
void |
setCssClass(VarContext context,
java.lang.String cssClass)
|
void |
setTransient(boolean isTransient)
|
void |
setTransient(VarContext context,
boolean isTransient)
|
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
_cssClassProperty
private StringProperty _cssClassProperty
_transientProperty
private TransientProperty _transientProperty
| Constructor Detail |
XulWidget
public XulWidget()
| Method Detail |
isImmutable
protected boolean isImmutable()
- A Widget is immutable if it does not have an id, because it cannot
store changes to it's properties as request parameters.
setCssClass
public void setCssClass(java.lang.String cssClass)
getCssClass
public java.lang.String getCssClass()
isContainer
protected boolean isContainer()
setTransient
public void setTransient(boolean isTransient)
isTransient
public boolean isTransient()
add
public void add(Widget child)
init
public void init(WidgetInit init)
throws WidgetException
setCssClass
public void setCssClass(VarContext context,
java.lang.String cssClass)
getCssClass
public java.lang.String getCssClass(VarContext context)
setTransient
public void setTransient(VarContext context,
boolean isTransient)
isTransient
public boolean isTransient(VarContext context)
|
|||||||||
| Home >> All >> com >> caucho >> [ widget overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
AbstractWidgetContainer